Aide de GadgetMouse

GadgetMouse version 2.00 - Freeware - © Jean-Bernard Soulet - janvier 2004

Les Gratuiciels de Jean-Bernard : http://jeanbernard.soulet.free.fr/

E-Mail : jeanbernard.soulet@free.fr

Note importante : l'auteur ne pourra en aucun cas être tenu pour responsable des dommages ou pertes de données pouvant résulter de l'utilisation de ce logiciel.

Quelques conseils à lire avant de commencer...

Fonctionne sous Windows XP et versions précédentes.

Certains logiciels graphiques n'offrent pas la possibilité de redimensionner les figures tracées avec la souris. C'est le cas pour l'excellent logiciel Zpaint 1.4 dédié aux graphismes 3D.
Il faut donc une grande dextérité pour aboutir à un résultat précis du premier coup. GadgetMouse tient la souris à votre place et travaille en automate : vous paramétrez la taille de la figure à dessiner, au pixel près, et GadgetMouse exécute avec exactitude le tracé demandé.
Mieux, vous pouvez paramétrer simplement des macros qui dessinent des groupes de figures en rangées, en colonnes, en diagonales ; mais aussi en cercles, en carrés, en rectangles.
Les résultats sont surprenants dans Zpaint 1.4, Zoner Draw 3 et Paint (sous Windows).
Ne fonctionne pas avec tous les logiciels graphiques.

Le logiciel Zpaint 1.4 a été réalisé par Steffen Gerlach, c'est un freeware que vous pouvez le télécharger sur le site de l'auteur à l'adresse suivante :

http://www.steffengerlach.de/freeware/

Si le lien est rompu, vous pouvez venir sur mon site où il sera mis à jour : http://jeanbernard.soulet.free.fr/lm_logic.html

Pour désinstaller, consultez le fichier LisezMoi.txt


Options de GadgetMouse

Cadre tracer la sélection : F2

Cadre tracer la sélection : F2

Largeur : largeur du dessin de base.

Minimum : 0
Maximum : taille écran

Hauteur : hauteur du dessin de base.

Minimum : 0
Maximum : taille écran

Correctif largeur : correctif à apporter, en largeur, dans Zpaint si le dessin est unique dans le projet ; explications détaillées en cliquant ici.

Minimum : -500
Maximum : 500

Correctif hauteur : correctif à apporter, en hauteur, dans Zpaint si le dessin est unique dans le projet ; explications détaillées en cliquant ici.

Minimum : -500
Maximum : 500

NOTA : dans la majorité des cas laisser ces deux valeurs à 0.

Cadre sauvegarder la position du curseur : F3

Cadre sauvegarder la position du curseur : F3

X : affiche la dernière sauvegarde de la position horizontale du curseur réalisée par F3 (ou générée par les combinaisons de touches CTRL + flèches).

Minimum : 0
Maximum : taille écran

Y : affiche la dernière sauvegarde de la position verticale du curseur réalisée par F3 (ou générée par les combinaisons de touches CTRL + flèches).

Minimum : 0
Maximum : taille écran

Cadre tracer 'N' fois la sélection : F5

Cadre tracer 'N' fois la sélection : F5

Nombre de boucles : nombre de dessins à effectuer selon le modèle défini dans 'Cadre tracer la sélection : F2'.

Fenêtre à activer avant de tracer la sélection

Fenêtre à activer avant de tracer la sélection

Nom de la fenêtre sur laquelle sera dessinée la sélection (nom apparaissant dans la barre de titre de cette fenêtre : on peut indiquer seulement les 4 ou 5 premiers caractères du titre).
En fait, cette zone sera laissée vierge dans la majorité des cas : GadgetMouse en cliquant sur la fenêtre, active celle-ci d'office.
En revanche, cette zone trouve son utilité lorsque vous utilisez les combinaisons de touches CTRL + Flèches pour déplacer le curseur de la souris : il faut cliquer dans cette zone avant d'utiliser ces combinaisons de touches ; si le curseur est placé dans une zone numérique, les touches CTRL + flèche haut et CTRL + flèche bas feront défiler les valeurs de la zone numérique au lieu d'agir sur la position du curseur...

Incrémenter-décrémenter la position du curseur si : F2 ou F5

Incrémenter-décrémenter la position du curseur si : F2 ou F5

Si la case à cocher est désactivée, le curseur se positionne en bas à droite de la figure après l'avoir tracée. Ainsi, si l'on presse 5 fois sur la touche F2, on aura le résultat suivant :

Le même résultat peut être obtenu en mettant la valeur 5 dans le Cadre tracer 'N' fois la sélection et en pressant F5.

Si la case à cocher est activée et si les 2 valeurs sont à 0, la répétition de la touche F2 ou la pression de la touche F5 feront que les dessins s'empileront ce qui ne présente pas un grand intérêt pour les tracés répétitifs !

En revanche en faisant varier les valeurs en positif ou en négatif, vous pourrez tracer des lignes, des colonnes ou des diagonales dans toutes les directions ;

exemple avec un dessin de 10 x 10 pixels en faisant varier les valeurs X, Y avec des incréments positifs ou négatifs de 11 pixels :

Images réalisées dans Zpaint 1.4

Minimum : - 500
Maximum : 500

Zone de notes

Zone de notes

Cette zone permet de taper, à la volée, des notes au cours du développement de votre projet ; ces notes sont sauvegardées lorsque que vous quittez GadgetMouse.
Pour masquer cette fenêtre, cochez l'option correspondante du Menu Options/Cacher zone de notes.

Barre d'état

Affiche les cordonnées écran de la souris (X = point horizontal, Y = point vertical).


Menus de GadgetMouse

Menu fichier

Quitter : termine le programme.

Menu Options

Fenêtre au premier plan

Place la fenêtre principale devant les autres fenêtres.

Cacher zone de notes

Pour masquer/afficher la zone de notes, cochez/décochez l'option correspondante du Menu Options/Cacher zone de notes.

Ouvrir Calculatrice de Windows

Ouvre la calculatrice de Windows.

Menu Outils

Réglage CTRL + flèches : affiche la fenêtre de réglage des combinaisons de touches CTRL + Flèches qui permettent de déplacer la souris avec précision :

Réglage CTRL + flèches

Déplacement X : valeur à appliquer pour les déplacements horizontaux du curseur avec les touches : CTRL gauche et CTRL droite .

Minimum : 1
Maximum : taille de la moitié de l'écran

Déplacement Y : valeur à appliquer pour les déplacements verticaux du curseur avec les touches : CTRLhaut et CTRL bas .

Minimum : 1
Maximum : taille de la moitié de l'écran

NOTA : si le curseur est placé dans une zone numérique, les touches CTRL + flèche haut et CTRL + flèche bas feront défiler les valeurs de la zone numérique au lieu d'agir sur la position du curseur. Il faut donc placer le curseur dans une zone de texte de la fiche principale avant d'utiliser ces combinaisons de touches (par exemple dans la 'Fenêtre à activer avant de tracer la sélection' ou dans la 'Zone de notes').

Tracé de figures : affiche la fenêtre de réglage du Tracé de figures.

Tracé de figures

Figures en cercles F6 :

Figures en cercles : F6

Rayon : rayon du cercle pour le groupe de figures.

Minimum : 1
Maximum : taille de la moitié de l'écran (en vertical)

Nombre de figures : nombre de figures de base à dessiner en fonction des paramètres de taille définis dans 'Cadre tracer la sélection : F2'.

Minimum : 2
Maximum : 500

Figures en carrés et rectangles F7 :

Figures en carrés et rectangles F7

Nombre de figures en horizontal : nombre de figures à dessiner en horizontal en fonction des paramètres de taille définis dans 'Cadre tracer la sélection : F2'.

Minimum : 2
Maximum : 250

Nombre de figures en vertical : nombre de figures à dessiner en vertical en fonction des paramètres de taille définis dans 'Cadre tracer la sélection : F2'.

Minimum : 2
Maximum : 250

Espaces en horizontal : espaces entre les figures en horizontal.

Minimum : -500
Maximum : 500

Espaces en vertical : espaces entre les figures en vertical.

Minimum : -500
Maximum : 500

Menu ?

Aide : affiche l'aide (ou F1).

A Propos : affiche le copyright et la version.


Touches de fonctions

F1 : affiche l'aide (ou F1).

F2 : exécute la figure en fonction des paramètres définis dans 'Cadre tracer la sélection : F2' et dans 'Incrémenter-décrémenter la position du curseur si : F2 ou F5'.

F3 : sauve la position du curseur dans 'Cadre sauvegarder la position du curseur : F3'.

F4 : ramène le curseur à la position sauvegardée dans 'Cadre sauvegarder la position du curseur : F3'.

F5 : exécute N figures en fonction du nombre indiqué dans 'Cadre tracer 'N' fois la sélection : F5' et des paramètres définis dans 'Cadre tracer la sélection : F2' et dans 'Incrémenter-décrémenter la position du curseur si : F2 ou F5'.

F6 : trace un nombre de figures en cercle en fonction des paramètres définis dans 'Figures en cercles F6 :' (voir Menu Outils/Tracé de figures) et des paramètres définis dans 'Cadre tracer la sélection : F2'.

F7 : trace un nombre de figures en carré ou en rectangle en fonction des paramètres définis dans 'Figures en carrés et rectangles F7 :' (voir Menu Outils/Tracé de figures) et des paramètres définis dans 'Cadre tracer la sélection : F2'.

Touches CTRL + Flèches
(ces combinaisons de touches sont accessibles de la fenêtre principale seulement)

Déplace le curseur vers le bas et actualise les valeurs dans 'Cadre sauvegarder la position du curseur : F3'.

Déplace le curseur vers la droite et actualise les valeurs dans 'Cadre sauvegarder la position du curseur : F3'.

Déplace le curseur vers la gauche et actualise les valeurs dans 'Cadre sauvegarder la position du curseur : F3'.

Déplace le curseur vers le haut et actualise les valeurs dans 'Cadre sauvegarder la position du curseur : F3'.

IMPORTANT : si le curseur est placé dans une zone numérique, les touches CTRL + flèche haut et CTRL + flèche bas feront défiler les valeurs de la zone numérique au lieu d'agir sur la position du curseur. Il faut donc placer le curseur dans une zone de texte de la fiche principale avant d'utiliser ces combinaisons de touches (par exemple dans la 'Fenêtre à activer avant de tracer la sélection' ou dans la 'Zone de notes').


Exemples de GadgetMouse

Conseils avant de commencer

- La souris doit rester stable durant l'exécution des macros ; ne la tenez pas, laissez-là sur le tapis ou sur le plan de travail.
- Dans le logiciel de destination, réglez le zoom à 100 % pour garder la correspondance des tailles paramétrées dans GadgetMouse et travaillez en mode pixels de préférence si votre logiciel le permet.
- Ouvrez la fenêtre du logiciel de destination plein écran : ainsi vos paramétrages ne risquent pas d'interférer avec d'autres fenêtres de Windows.

Voici quelques exemples réalisés dans Zpaint 1.4 (freeware) ; si vous n'avez pas Zpaint, vous pouvez le télécharger sur le site de l'auteur (Steffen Gerlach) à l'adresse suivante :

http://www.steffengerlach.de/freeware/

Ou bien transposez les exemples pour les essayer dans Paint...

Tout d'abord, ouvrez Zpaint et agrandissez sa fenêtre au maximum de l'écran :

- dans le menu 'File', décochez éventuellement l'option 'Background Border'
- menu 'Settings', cochez les trois options
- dans la fenêtre 'Shape', mettez 2 dans la zone 'Depth' et 3 dans la zone 'Corner Radius'.

Ouvrez ensuite GadgetMouse, placez-le en bordure d'écran, en bas à droite, pour qu'il prenne le moins de place possible et effectuez les réglages suivants :

fenêtre principale :

fenêtre 'Figures en cercles F6' (voir Menu Outils/Tracé de figures) :

Figures en cercles : F6

fenêtre 'Figures en carrés et rectangles F7' (voir Menu Outils/Tracé de figures)

Ces réglages étant faits, placez le curseur de la souris sur la zone de travail de Zpaint de façon la plus éloignée possible des fenêtres de GadgetMouse : vous ne devez pas cliquer sur la zone de travail de Zpaint ; une fenêtre de GadgetMouse doit être active (barre de titre en surbrillance) pour que çà fonctionne.

- posez la souris sur un plan stable et pressez la touche F2 :

ce qui donne ce minuscule tracé...

Oui, après tant d'efforts !!!

Toujours sans toucher la souris, appuyez maintenant 4 fois sur F2 :

C'est un peu mieux... Déplacez maintenant le curseur de la souris à un autre endroit de Zpaint, le plus à gauche de l'écran (toujours sans cliquer sur Zpaint) et appuyez sur F5, puis sur F3 pour sauvegarder le curseur :

Effectuez maintenant le réglage suivant :

- Appuyez sur la touche F4 pour ramener le curseur à sa dernière position, puis appuyez sur F5, sur F2 et sur F3 pour obtenir le résultat :

Effectuez maintenant le réglage suivant :

- Appuyez sur la touche F4 pour ramener le curseur à sa dernière position, puis appuyez sur F5 et sur F3 pour obtenir le résultat :

Effectuez maintenant le réglage suivant :

- Appuyez sur la touche F4 pour ramener le curseur à sa dernière position, puis, appuyez sur F5 et 2 fois sur F2 pour obtenir le résultat :

Placez maintenant le curseur au centre de la zone de travail de Zpaint et appuyez sur f6 pour le résultat :

...et appuyez ensuite sur F7 :

Voilà, j'ai voulu faire des exemples courts et concis ; à vous de tester différents paramétrages (en vous aidant aussi des touches CTRL + Flèches ) pour faire des choses beaucoup plus jolies et utiles...

Peut-être aussi trouverez-vous d'autres utilisations de GadgetMouse dans d'autres domaines...


Astuces et Infos de GadgetMouse

Conseils avant de commencer

- La souris doit rester stable durant l'exécution des macros ; ne la tenez pas, laissez-là sur le tapis ou sur le plan de travail.
- Dans le logiciel de destination, réglez le zoom à 100 % pour garder la correspondance des tailles paramétrées dans GadgetMouse et travaillez en mode pixels de préférence si votre logiciel le permet.
- Ouvrez la fenêtre du logiciel de destination plein écran : ainsi vos paramétrages ne risquent pas d'interférer avec d'autres fenêtres de Windows.

IMPORTANT : si le curseur est placé dans une zone numérique, les touches CTRL + flèche haut et CTRL + flèche bas feront défiler les valeurs de la zone numérique au lieu d'agir sur la position du curseur. Il faut donc placer le curseur dans une zone de texte de la fiche principale avant d'utiliser ces combinaisons de touches (par exemple dans la 'Fenêtre à activer avant de tracer la sélection' ou dans la 'Zone de notes').

Si vous créez un bouton unique dans Zpaint avec GadgetMouse, vous remarquerez qu'en enregistrant cet unique bouton la taille diffère de +1 pixel en horizontal et en vertical à l'enregistrement ; cette taille peut même varier de +3 pixels dans les deux sens en fonction d'autres paramétrages de Zpaint.

Pour un bouton unique comme celui-ci : qui fait 150 x 50 si vous paramétrez :

vous obtiendrez à l'enregistrement un bouton de 151 x 51 et parfois 153 x 53 en fonction d'autres réglages de Zpaint.

Pour obtenir un résultat 150 x 50, il faut donc paramétrer respectivement :

Si vous créez plusieurs figures, l'incidence est moindre et vous pouvez laisser à 0 les zones 'correctif largeur' et 'correctif hauteur'.

Le mieux étant de tester vous même et d'effectuer les correctifs pour arriver au résultat souhaité...


Galerie de formes

Voici quelques réalisations qui ont été faites dans Zpaint 1.4, Zoner Draw 3 ou Paint (sous Windows).
Ce ne sont pas des chefs-d'oeuvre, mais quelques essais effectués au cours des tests de fonctionnement.
Je n'ai jamais vraiment été très doué en dessin : je pense que l'on peut mieux exploiter GadgetMouse...


GadgetMouse version 2.00 - Freeware -
© Jean-Bernard Soulet - janvier 2004

Note importante : l'auteur ne pourra en aucun cas être tenu pour
responsable des dommages ou pertes de données pouvant résulter de
l'utilisation de ce logiciel.

I) Descriptif
II) Installation
III) Désinstallation

I) Descriptif

Certains logiciels graphiques n'offrent pas la possibilité de redimensionner les
figures tracées avec la souris. C'est le cas pour l'excellent logiciel Zpaint 1.4 dédié
aux graphismes 3D.
Il faut donc une grande dextérité pour aboutir à un résultat précis du premier coup.
GadgetMouse tient la souris à votre place et travaille en automate : vous paramétrez
la taille de la figure à dessiner, au pixel près, et GadgetMouse exécute avec exactitude
le tracé demandé.
Mieux, vous pouvez paramétrer simplement des macros qui dessinent des groupes de
figures en rangées, en colonnes, en diagonales ; mais aussi en cercles, en carrés, en
rectangles.
Les résultats sont surprenants dans Zpaint 1.4, Zoner Draw 3 et Paint (sous Windows).
Ne fonctionne pas avec tous les logiciels graphiques.

II) Installation

A partir de l'Explorateur de Windows 95/98/NT/XP, lancer le fichier SETUP.EXE.

OU BIEN FAIRE :

Démarrer.../ Paramètres.../ Panneau de configuration ...,
puis, dans Panneau de configuration, double-cliquer sur
Ajout/suppression de programmes, puis sur "Installer".

(Tous les fichiers sont installés dans le répertoire de
l'application, aucune modification n'est effectuée dans
les fichiers système).

III) Désinstallation

Pour désinstaller proprement :
------------------------------

   1) cliquez sur Démarrer.../ Paramètres.../ Panneau de configuration ...
   2) dans Panneau de configuration, double-cliquez sur Ajout/suppression
      de programmes
   3) cliquez sur l'onglet Installation/désinstallation et dans la liste,
      cliquez sur GadgetMouse v.200
   4) Cliquez sur le bouton Ajouter/Supprimer, et voilà tout est propre !
   5) redémarrez votre ordinateur
--------------------------------------------------------

Ce logiciel est un FREEWARE, c'est à dire qu'il est GRATUIT.

(Cependant, si le logiciel vous plaît et si vous l'utilisez,
rien ne vous empêche de donner 1 ou 2 Euros au SDF de votre quartier,
ou même simplement un sourire ... En fait, c'est un SOURIREWARE ! ).

Page personnelle : http://jeanbernard.soulet.free.fr/
E-Mail : jeanbernard.soulet@free.fr

Brunoy, le 20/01/2004